preremove revision 911106dfb16696472af8c1b7b4c554a829354fa8
2N/A#
2N/A# CDDL HEADER START
2N/A#
2N/A# The contents of this file are subject to the terms of the
2N/A# Common Development and Distribution License (the "License").
2N/A# You may not use this file except in compliance with the License.
2N/A#
2N/A# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
2N/A# or http://www.opensolaris.org/os/licensing.
2N/A# See the License for the specific language governing permissions
2N/A# and limitations under the License.
2N/A#
2N/A# When distributing Covered Code, include this CDDL HEADER in each
2N/A# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
2N/A# If applicable, add the following below this CDDL HEADER, with the
2N/A# fields enclosed by brackets "[]" replaced with your own identifying
2N/A# information: Portions Copyright [yyyy] [name of copyright owner]
2N/A#
2N/A# CDDL HEADER END
2N/A#
2N/A#
2N/A# Copyright 2007 Sun Microsystems, Inc. All rights reserved.
2N/A# Use is subject to license terms.
2N/A#
2N/A# ident "%Z%%M% %I% %E% SMI"
2N/A#
2N/A
2N/APATH="/usr/bin:/usr/sbin:${PATH}"
2N/Aexport PATH
2N/A
2N/APKG_NAME=SUNWvscanr
2N/ADRV=vscan
2N/ADMON=vscand
2N/A
2N/A#
2N/A# Make sure that the VSCAN client daemon (vscand) is not
2N/A# running before removing this package.
2N/A#
2N/Aif [ "${PKG_INSTALL_ROOT:-/}" = "/" ]; then
2N/A /usr/bin/pgrep -x "${DMON}" >/dev/null
2N/A if [ $? -ne 1 ]; then
2N/A echo "\nUnable to remove ${PKG_NAME}: the vscan service is enabled"
2N/A echo "Disable vscan service and try again:"
2N/A echo "\tsvcadm disable system/filesystem/vscan\n"
2N/A exit 1
2N/A fi
2N/Afi
2N/A
2N/A#
2N/A# Remove driver, if this has not already been done
2N/A#
2N/ABASEDIR=${BASEDIR:-/}
2N/Aif [ "$BASEDIR" = "/" ]; then
2N/A REM_DRV="rem_drv"
2N/Aelse
2N/A REM_DRV="rem_drv -b ${BASEDIR}"
2N/Afi
2N/A
2N/Agrep "^${DRV}" ${BASEDIR}/etc/name_to_major > /dev/null 2>&1
2N/Aif [ $? -eq 0 ]; then
2N/A ${REM_DRV} ${DRV}
2N/A if [ $? -ne 0 ]; then
echo "${PKG_NAME}: rem_drv ${DRV} failed\n" >&2
exit 1
fi
fi
exit 0